Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.system
Class EditorAgent

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.utils.agents.AbstractEditorAgent
                  madkit.system.EditorAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class EditorAgent

extends AbstractEditorAgent

An agent that implements a simple editor and which is able to send the content of its buffer to other agents using 'StringMessages' messages.

Version:
  1.0
Author:
  Jacques FERBER
See Also:
  Serialized Form

Field Summary

Fields inherited from class madkit.utils.agents.AbstractEditorAgent
`display`

Constructor Summary
`EditorAgent()`
`EditorAgent(java.lang.String s)`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`java.lang.String[]` | `askGetGroups()`
`java.lang.String[]` | `askGetOwnRoles(java.lang.String theGroup)`
`java.lang.String[]` | `askGetRoles(java.lang.String theGroup)`
`protected void` | `clearRole()`
`void` | `enterGroupRole(java.lang.String comm, java.lang.String group, java.lang.String role, java.lang.String passwd)`
`protected java.util.Vector` | `getAllGroups()`
`void` | `handleMessage(Message m)`
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`protected void` | `joinGroupInteractively(java.util.Hashtable org)`
`void` | `leaveGR(java.lang.String comm, java.lang.String group, java.lang.String role)`
`void` | `live()` This method defines the main behavior of threaded agents.
`protected void` | `requestJoinGroup()`
`void` | `sendString(java.lang.String s)`
`void` | `setTarget(java.lang.String group, java.lang.String role)`
`void` | `setTarget(java.lang.String comm, java.lang.String group, java.lang.String role)`
`void` | `setTargetCommunity(java.lang.String comm)`
`void` | `setTargetGroup(java.lang.String group)`
`void` | `setTargetRole(java.lang.String role)`

Methods inherited from class madkit.utils.agents.AbstractEditorAgent
`getRecipient, println, setRecipient`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, end, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditorAgent

    public EditorAgent()

### EditorAgent

    public EditorAgent(java.lang.String s)

Method Detail

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developer should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developer does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `AbstractAgent`

### enterGroupRole

    public void enterGroupRole(java.lang.String comm,
                               java.lang.String group,
                               java.lang.String role,
                               java.lang.String passwd)

### setTargetCommunity

    public void setTargetCommunity(java.lang.String comm)

### setTargetGroup

    public void setTargetGroup(java.lang.String group)

### setTargetRole

    public void setTargetRole(java.lang.String role)

### setTarget

    public void setTarget(java.lang.String group,
                          java.lang.String role)

### setTarget

    public void setTarget(java.lang.String comm,
                          java.lang.String group,
                          java.lang.String role)

### leaveGR

    public void leaveGR(java.lang.String comm,
                        java.lang.String group,
                        java.lang.String role)

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Here is a typical example (taken from the `PingPong` agent of MadKit (plugin demos)) :

  >     public void activate()
  >     {
  >             try {
  >                     createGroup(true,"ping-pong",null,null);
  >                     println ("No ping-pong group : I created one");
  >                     creator=true;
  >             } catch (OrganizationRequestException e) { // the group already exists
  >                     creator=false;
  >                     println ("A ping-pong group already exists : I will join");
  >             }
  >             requestRole("ping-pong","player",null);
  >     }

  Overrides:
    `activate` in class `AbstractAgent`

### handleMessage

    public void handleMessage(Message m)

### requestJoinGroup

    protected void requestJoinGroup()

### getAllGroups

    protected java.util.Vector getAllGroups()

### joinGroupInteractively

    protected void joinGroupInteractively(java.util.Hashtable org)

### askGetGroups

    public java.lang.String[] askGetGroups()

### askGetRoles

    public java.lang.String[] askGetRoles(java.lang.String theGroup)

### askGetOwnRoles

    public java.lang.String[] askGetOwnRoles(java.lang.String theGroup)

### clearRole

    protected void clearRole()

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior of threaded agents.

  Overrides:
    `live` in class `Agent`

### sendString

    public void sendString(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.